Package Details: git-cola 3.12.0-1

Git Clone URL: https://aur.archlinux.org/git-cola.git (read-only, click to copy)
Package Base: git-cola
Description: The highly caffeinated Git GUI
Upstream URL: https://git-cola.github.io
Keywords: git
Licenses: GPL2
Submitter: tdy
Maintainer: MarcinWieczorek (yochananmarqos)
Last Packager: yochananmarqos
Votes: 227
Popularity: 1.48
First Submitted: 2008-12-05 14:38 (UTC)
Last Updated: 2022-01-20 16:56 (UTC)

Required by (0)

Sources (1)

Latest Comments

yochananmarqos commented on 2022-03-26 14:36 (UTC)

@simona: I can't reproduce that:

300 passed, 458 warnings in 8.92s

simona commented on 2022-03-25 23:58 (UTC)

FAILED test/utils_test.py::FLAKE8
108 failed, 192 passed, 458 warnings in 35.44s

BlitDev commented on 2022-03-08 14:36 (UTC)

Error during build

The HTML pages are in _build/html.
Renaming directory '_sources' -> 'sources'
Renaming directory '_static' -> 'static'
mkdir -p /home/blitdev/.cache/paru/clone/git-cola/pkg/git-cola/usr/share/doc/git-cola/html
rsync -r --delete --delete-excluded --exclude=.buildinfo --exclude=.gitignore _build/html/ /home/blitdev/.cache/paru/clone/git-cola/pkg/git-cola/usr/share/doc/git-cola/html/
make[1]: выход из каталога «/home/blitdev/.cache/paru/clone/git-cola/src/git-cola-3.12.0/share/doc/git-cola»
mkdir -p "/home/blitdev/.cache/paru/clone/git-cola/pkg/git-cola/usr/share/icons/hicolor/scalable/apps"
ln -s -f "/usr/share/git-cola/icons/git-cola.svg" \
    "/home/blitdev/.cache/paru/clone/git-cola/pkg/git-cola/usr/share/icons/hicolor/scalable/apps/git-cola.svg"
ln -s -f git-cola "/home/blitdev/.cache/paru/clone/git-cola/pkg/git-cola/usr/bin/cola"
==> ERROR: A failure occurred in check().
    Aborting...

Pastafarianist commented on 2022-02-05 18:36 (UTC) (edited on 2022-02-05 19:51 (UTC) by Pastafarianist)

During check(), I get a lot of test failures. The end of the log looks like this:

ERROR test/resources_test.py::FLAKE8 - AttributeError: 'Flake8Item' object has no attribute 'fixturenames'
ERROR test/settings_test.py::FLAKE8 - AttributeError: 'Flake8Item' object has no attribute 'fixturenames'
ERROR test/spellcheck_test.py::FLAKE8 - AttributeError: 'Flake8Item' object has no attribute 'fixturenames'
ERROR test/textwrap_test.py::FLAKE8 - AttributeError: 'Flake8Item' object has no attribute 'fixturenames'
ERROR test/utils_test.py::FLAKE8 - AttributeError: 'Flake8Item' object has no attribute 'fixturenames'
177 passed, 123 errors in 7.02s
make: *** [Makefile:226: test] Error 1
==> ERROR: A failure occurred in check().
    Aborting...
 -> error making: git-cola

This is obviously an issue with Flake8, but what exactly do I have to do to fix it?

UPD: I've found the culprit: https://github.com/miketheman/pytest-socket/issues/105. A workaround is to

pip install --user --upgrade pytest-socket

until community/python-pytest-socket is upgraded to 0.5.1.

MarcinWieczorek commented on 2022-01-27 08:58 (UTC)

I don't have pyside2 installed and git-cola works fine.

Not in an venv though. https://github.com/git-cola/git-cola/issues/850 I think the issue of virtualenv should be discussed upstream. I don't have a strong opinion of how should that be fixed, but I acknowledge the problem and will apply reasonable solutions from you guys.

Kedap commented on 2022-01-27 04:48 (UTC)

If the program works it may be because you still do not have the pyside2 package installed, I hope and consider adding this package within the dependencies

Suor commented on 2022-01-18 04:26 (UTC) (edited on 2022-01-18 04:27 (UTC) by Suor)

Doesn't work when inside a python virtualenv. Fixing it for myself by replacing

#!/usr/bin/env python

with

#!/usr/bin/python

In /usr/bin/git-cola. But that one gets overwritten on update.

buck.yeh commented on 2021-12-17 03:49 (UTC)

Rebuilding and installing the package solves the problem!

crazybit commented on 2021-12-15 19:38 (UTC)

Python was recently updated on Arch, breaking git-cola. Rebuilding git-cola makes it build against this newer python and makes git-cola work. No need to edit PKGBUILD, just rebuild the package.

SeeLook commented on 2021-08-12 18:56 (UTC)

I've just installed it manually, by editing PKGBUILD and removing check step. Works fine.

SeeLook commented on 2021-08-12 18:40 (UTC)

Any clue what may cause that?
Is it lack of some package or too much of something?
I can launch latest git-cola from its git repo clone.

yochananmarqos commented on 2021-08-12 18:03 (UTC)

@SeeLook: I can't reproduce that in a clean chroot, the tests pass.

SeeLook commented on 2021-08-12 17:47 (UTC)

I cannot build latest version (3.10.1). Test fails with:

FAILED test/i18n_test.py::ColaI18nTestCase::test_translate_push_pull_french - AssertionError: 'Tirer' != 'Pull'
FAILED test/i18n_test.py::ColaI18nTestCase::test_translates_noun - AssertionError: 'コミット' != 'Commit'
FAILED test/i18n_test.py::ColaI18nTestCase::test_translates_verb - AssertionError: 'Commit aufnehmen' != 'Commit'

BTW, French is not my system language. Please help.

Melon_Bread commented on 2021-07-15 15:25 (UTC)

If python-flake8-black is installed this package fails to "pass" some tests causing the package build process to error out. Uninstalling the package, building git-cola, and reinstalling python-flake8-black seems to be the workaround for now.

woschtl commented on 2021-05-17 07:18 (UTC)

You're right, the gpgSign = true was the reason for the failing tests, thank you!

di72nn commented on 2021-05-14 10:17 (UTC) (edited on 2021-05-14 10:58 (UTC) by di72nn)

The 11 commit tests may fail if you have gpgSign = true in your global gitconfig. Reported upstream.

I also have an issue with make install-man, which I also reported upstream even though I'm not sure who is to blame.

lah7 commented on 2021-03-16 20:43 (UTC) (edited on 2021-03-16 21:17 (UTC) by lah7)

@Frousties: Not just you, icons disappeared for me too (on KDE here). Another PyQt5 app I use is having icon issues as well, so it's not specific to git-cola.

It was caused by the updates on 2021-03-15 for KDE Frameworks 5.80: https://bugs.kde.org/show_bug.cgi?id=434451

Frousties commented on 2021-03-16 09:12 (UTC)

Am I the only one where the icons don't load anymore?

yochananmarqos commented on 2021-03-01 15:29 (UTC)

@woschti: The tests pass for me and no one else has chimed in, so it seems it's something on your end. Make sure you're doing a clean build.

woschtl commented on 2021-03-01 07:41 (UTC)

I still get the test errors when I try to install the latest version.

yochananmarqos commented on 2021-02-26 21:18 (UTC)

@besc: Ah, forgot about that, thanks.

besc commented on 2021-02-26 20:44 (UTC)

The PKGBUILD is missing the python-qtpy dependency, python-pyqt5 is not sufficient. Looks like the problem was introduced by the recent NO_VENDOR_LIBS=1 change.

woschtl commented on 2021-02-26 07:43 (UTC)

I got a lot of test errors trying to update today:

===================================== short test summary info ======================================
FAILED test/browse_model_test.py::ClassicModelTestCase::test_unstage_paths - AssertionError: 128 ...
FAILED test/browse_model_test.py::ClassicModelTestCase::test_unstage_paths_subdir - AssertionErro...
FAILED test/gitcmds_test.py::GitCmdsTestCase::test_all_refs - AssertionError: 128 != 0
FAILED test/gitcmds_test.py::GitCmdsTestCase::test_all_refs_split - AssertionError: 128 != 0
FAILED test/gitcmds_test.py::GitCmdsTestCase::test_branch_list_local - AssertionError: 128 != 0
FAILED test/gitcmds_test.py::GitCmdsTestCase::test_branch_list_remote - AssertionError: 128 != 0
FAILED test/gitcmds_test.py::GitCmdsTestCase::test_tag_list - AssertionError: 128 != 0
FAILED test/gitops_test.py::ColaBasicGitTestCase::test_git_commit - AssertionError: 128 != 0
FAILED test/main_model_test.py::MainModelTestCase::test_local_branches - AssertionError: 128 != 0
FAILED test/main_model_test.py::MainModelTestCase::test_remote_branches - AssertionError: 128 != 0
FAILED test/main_model_test.py::MainModelTestCase::test_tags - AssertionError: 128 != 0
11 failed, 169 passed in 4.12s

yochananmarqos commented on 2021-02-25 16:42 (UTC)

@MarcinWiezorek: It turns out make html is redundant since make doc already makes all documentation.

MarcinWieczorek commented on 2021-02-25 11:57 (UTC)

@yochananmarqos I've added you as co-maintainer. Sorry it took so long, I must've missed your reply.

yochananmarqos commented on 2021-02-19 15:23 (UTC)

@MarcinWieczorek:

Do you want to co-maintain so you can push the changed yourself?

Sure.

USE_ENV_PYTHON. Why would we need it?

Otherwise the shebangs are changed to #!/usr/bin/python instead of #!/usr/bin/env python. It's best not to hardcode the path in case people have multiple versions of Python installed.

MarcinWieczorek commented on 2021-02-19 08:54 (UTC)

@yochananmarqos Thank you for adding so much upgrades. Do you want to co-maintain so you can push the changed yourself? I totally agree with all changes, but I'm unsure about the first one, USE_ENV_PYTHON. Why would we need it?

yochananmarqos commented on 2021-02-19 08:24 (UTC) (edited on 2021-02-19 08:26 (UTC) by yochananmarqos)

New additions to my PKGBUILD:

Build environment variables:

Optional dependency: - python-send2trash: See Additives

Added check() with unit tests

By the way, I see no reason to disable makeflags.

yochananmarqos commented on 2021-01-18 20:08 (UTC)

@MarcinWieczorek: It's working fine, thanks.

MarcinWieczorek commented on 2021-01-18 19:05 (UTC)

@yochananmarqos please verify new version ;)

yochananmarqos commented on 2021-01-01 02:48 (UTC)

Those who want to install 3.8, I have a working PKGBUILD with man pages. Building doc and html files is failing, so those are skipped.

@nobody44: In optdepends(), it should be tcl, not tk:

git-cola E: Dependency tcl detected and not included (programs ['tclsh'] needed in scripts ['usr/share/git-cola/bin/ssh-askpass']

Also python-pygments is missing, see here.

optdepends=('python-pygments: syntax highlighting'
            'python-pyinotify: for inotify support'
            'tcl: to use the built-in ssh-askpass handler')

Please also build the man pages

lambdaclan commented on 2020-12-09 01:09 (UTC)

@nobody44 Can we now update the package? The link you provide below: https://git-cola.github.io/downloads.html seems to indicate that 3.8 is indeed the latest stable release.

nobody44 commented on 2020-10-13 17:19 (UTC)

No, it has not been updated to 3.8 yet, see here: https://git-cola.github.io/downloads.html

MarcinWieczorek commented on 2020-06-07 10:26 (UTC)

Just changing the version works like a charm.

diff --git a/PKGBUILD b/PKGBUILD
index efb0273..0653fca 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Paul Weingardt <paulweingardt@web.de>
 # Contributor: TDY <tdy@gmx.com>
 pkgname=git-cola
-pkgver=3.6
+pkgver=3.7
 pkgrel=1
 pkgdesc="A powerful GUI for Git"
 arch=('any')
@@ -13,7 +13,7 @@ optdepends=('python-pyinotify: for inotify support'
 'tk: to use the built-in ssh-askpass handler')
 options=('!makeflags')
 source=("${pkgname}-${pkgver}.tar.gz::https://github.com/git-cola/git-cola/archive/v$pkgver.tar.gz")
-sha256sums=('63369f519f81988c2d167ba2c59ad53644d3fac2b7be1e12d3f1df9b8fd91839')
+sha256sums=('9a1427b05c107ec8337881ed68bb450ac040a08880f91dcb770588f755d6fd1b')

 build() {
    cd "$srcdir/${pkgname}-$pkgver"

MarcinWieczorek commented on 2020-01-14 06:42 (UTC)

@nobody44 I could do that. Thanks for all your contribution.

nobody44 commented on 2020-01-13 18:31 (UTC)

Hello,

Maintainer of git-cola here. Sorry I haven't been able to update the package lately. If anyone still wants to maintain the package, please contact me.

best regards

luto commented on 2019-09-27 07:39 (UTC)

git-cola-3.4-1 still works fine. If there is anything I can provide you with to help me debug this, please tell me! So far I seem to be the only one struggling, though ;)

luto commented on 2019-09-27 07:30 (UTC)

The newest version crashes for me:

Traceback (most recent call last):
  File "/usr/share/git-cola/lib/qtpy/__init__.py", line 204, in <module>
    from PySide import __version__ as PYSIDE_VERSION  # analysis:ignore
ModuleNotFoundError: No module named 'PySide'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/cola", line 53, in <module>
    from cola.main import main
  File "/usr/share/git-cola/lib/cola/main.py", line 6, in <module>
    from . import app
  File "/usr/share/git-cola/lib/cola/app.py", line 15, in <module>
    from qtpy import QtCore
  File "/usr/share/git-cola/lib/qtpy/__init__.py", line 210, in <module>
    raise PythonQtError('No Qt bindings could be found')
qtpy.PythonQtError: No Qt bindings could be found

MarcinWieczorek commented on 2019-05-28 15:22 (UTC)

@rashyd Are those AUR related issues? If not, report them upstream.

rashyd commented on 2019-05-28 09:03 (UTC) (edited on 2019-05-28 09:04 (UTC) by rashyd)

I got two issues with v3.3-1:

1) The dark theme is broken. The env variable GIT_COLA_ICON_THEME=dark and --icon-theme dark don't work. Haven't found workaround yet.

2) The Open With folder context menu intergration with Nemo (cinnamon DE) is broken. When trying to open a folder with Git Cola, the cursor just shows loading icon, no window showed. For a workaround, I created a custom command git-cola -r for the open with command.

soloturn commented on 2018-12-03 05:36 (UTC)

git-cola-git is v 3.2 currently, git-cola is v 3.1.

timschumi commented on 2018-06-10 21:40 (UTC)

@nobody44 Would you be able to remove the version comparison from the python-pyinotify in the optdepends array? At the moment, it breaks the build and having to edit the PKGBUILD before building is not that convenient.

Guillermo commented on 2018-06-07 14:39 (UTC)

Same here. So, I edited the package build and remove the version number and the '>=' in optdepends line. Worked.

geonicz commented on 2018-06-06 12:33 (UTC)

Hi all! I've got a problem installing package: While build I get error message: ==> ERROR: optdepends contains invalid characters: '>='

MarcinWieczorek commented on 2017-07-05 20:51 (UTC)

I guess it will get moved in some time. A TU is needed willing to maintain it. You can send an email to aur-general mailing list to remind people of this package.

marcarrelus commented on 2017-07-05 20:23 (UTC)

I do not know if this is the right place to ask this but: I'm wondering why git-cola isn't in the official repositories? Just a lack of popularity? In any case thank you for this AUR, it's a great tool.

MarcinWieczorek commented on 2017-05-28 13:07 (UTC)

Thank you. You were not supposed to bump the pkgrel tho. There's no point, everyone will have to download and build the source expecting some changes.

MarcinWieczorek commented on 2017-05-28 12:44 (UTC)

When using common source directory. See `man makepkg.conf`

nobody44 commented on 2017-05-14 16:35 (UTC)

You mean from v2.11.tar.gz to git-cola-2.11.tar.gz ? What kind of conflict does that solve?

MarcinWieczorek commented on 2017-05-14 14:20 (UTC) (edited on 2017-05-14 14:44 (UTC) by MarcinWieczorek)

Could you please change tarball's name to "${pkgname}-${pkgver}.tar.gz"? It causes conflicts.

nobody44 commented on 2017-05-14 11:26 (UTC)

Added qt5-svg as a dependency, also updated to 2.11. Sorry for the delay.

kuon commented on 2017-04-07 07:25 (UTC)

Can you add qt5-svg as a dependency? https://github.com/git-cola/git-cola/issues/676

sthalik commented on 2017-02-26 14:57 (UTC)

Does it actually work with python3? At the time I submitted fixes for py3 it was still broken. Technically it started but that's it.

nobody44 commented on 2017-02-12 11:20 (UTC)

Thank you for your suggestions. I updated the PKGBUILD, should work as expected.

faemir commented on 2017-01-26 16:19 (UTC) (edited on 2017-01-26 16:20 (UTC) by faemir)

Is it worth updating the deps to include python-pyqt5 (at least optional) as it can now run using it as per https://github.com/git-cola/git-cola/commit/293364b45c4cbf3faff3fd7aba79b474d0abc845? I've removed python-pyqt4 from my installation with pacman -Rdd and git-cola has been running fine. I've also marked the package out of date as 2.9, 2.9.1 and 2.10 have been released.

Feastybeast commented on 2016-12-21 12:31 (UTC) (edited on 2016-12-22 10:39 (UTC) by Feastybeast)

Hello, apologies if this isn't the best place for support, but I'm receiving an error while building this package and could use a bit of assistance please. I've already done the "Foo in the AUR does not compile when I run makepkg; what should I do?" steps on the Arch Wiki and I'm getting the following output on `makepkg -si` https://gist.github.com/Feastybeast/a4db409ab03c43646aeb74a2d0b8e2f9 Any insight would be greatly appreciated. :) Edit 12/22/2016: I had another go and figured it out. I had been storing AUR packages in a folder in my home directory labeled "AUR Packages", and something in the build process isn't properly escaping it. Simply renaming the folder "AUR_packages" allowed the build to proceed.

nobody44 commented on 2016-09-20 20:20 (UTC)

Git-Cola should now work again with the 2.8 release.

nobody44 commented on 2016-08-20 10:28 (UTC)

I know that, I tried to get it working a week ago, but there was an error in the new dependencies, that come along.

eliluminado commented on 2016-08-19 02:31 (UTC)

The latest stable git-cola release is v2.7 (2016-07-29)

nobody44 commented on 2016-04-25 09:14 (UTC)

That shouldn't happen. There is only one file, that may cause this: /usr/share/applications/git-cola-folder-handler.desktop Could you move it somewhere else and try again?

BuZZ-dEE commented on 2016-02-16 08:54 (UTC)

Hi, could you please don't set it as default application for opening folders etc. After installing this package my system wants to open things with Git-Cola instead of Nautilus. E.g. if I click on the Owncloud client tray icon to open my cloud folder, it tries to do that with Git-Cola, which makes no sense.

nobody44 commented on 2016-02-13 11:21 (UTC)

@neng, done. Sorry for the delay.

neng commented on 2016-01-31 04:11 (UTC)

@nobody44 please upgrade to 2.5. Thanks.

alexandre-mbm commented on 2015-08-06 04:53 (UTC)

Se this please: https://github.com/git-cola/git-cola/issues/483#issuecomment-128238944

nobody44 commented on 2015-06-01 18:18 (UTC)

I swear he reuploaded the release. Anyway, now it should work without any problems. Sorry for the delay ;-).

hecsa commented on 2015-05-27 04:09 (UTC)

Hi, When trying to upgrade, I get this messages: ==> Validating source files with sha256sums... v2.1.2.zip ... FAILED ==> ERROR: One or more files did not pass the validity check! ==> ERROR: Makepkg was unable to build git-cola. Is there a way to update the sha256sum with the good one, or any other workaround to update this package? Thanks, and best regards, HeCSa.

dracorp commented on 2015-05-21 20:33 (UTC)

Wrong sha256sums sha256sums=('16fff73d2fd30bebdecce6f6179e87d6a03304e98819177de06055ead74d0f69')

nobody44 commented on 2015-05-17 10:03 (UTC)

It is now. Thanks for the reminder.

BunBum commented on 2015-05-16 06:06 (UTC)

When will it be updated to the latest version?

naraesk commented on 2015-03-26 16:09 (UTC)

cant install the latest version: make -C share/doc/git-cola all make[1]: Verzeichnis „/var/cache/pacman/pkg/git-cola8675/git-cola/src/git-cola-2.1.1/share/doc/git-cola“ wird betreten sphinx-build -b html -d _build/doctrees . _build/html Makefile:47: die Regel für Ziel „html“ scheiterte make[1]: Verzeichnis „/var/cache/pacman/pkg/git-cola8675/git-cola/src/git-cola-2.1.1/share/doc/git-cola“ wird verlassen Makefile:82: die Regel für Ziel „doc“ scheiterte

Azd325 commented on 2015-02-04 20:01 (UTC)

That was happen where I was installing the package with inside of a virtualenv

nobody44 commented on 2015-01-26 14:18 (UTC)

Did you remove the python-sip package? It is a dependency of python-pyqt4, basically you shouldn't be able to remove it...

Azd325 commented on 2015-01-26 12:45 (UTC)

Traceback (most recent call last): File "/usr/bin/git-cola", line 55, in <module> from cola.app import add_common_arguments File "/usr/share/git-cola/lib/cola/app.py", line 20, in <module> import sip ImportError: No module named sip That was happen where I was installing the package with inside of a virtualenv

andrewchen commented on 2014-12-13 01:09 (UTC)

Version 2.0.8 compiles, please update.

nobody44 commented on 2014-10-03 16:05 (UTC)

Right now there is a bug in the git-cola code that prevents the package from compiling. I fixed it and created a pull-request on github... I will release the new version as soon as this small bug fix has been merged.

liviucmg commented on 2014-08-23 21:20 (UTC)

Can confirm that the fix posted by @pablovilas works, but only after a reboot.

leledumbo commented on 2014-08-19 04:53 (UTC)

Got similar error as pablovilas, however his locale-gen workaround does't work for me. Logs: # Sphinx version: 1.2.2 # Python version: 3.4.1 # Docutils version: 0.12 release # Jinja2 version: 2.7.3 # Loaded extensions: # sphinx.ext.doctest from /usr/lib/python3.4/site-packages/sphinx/ext/doctest.py # sphinx.ext.autodoc from /usr/lib/python3.4/site-packages/sphinx/ext/autodoc.py # sphinx.ext.oldcmarkup from /usr/lib/python3.4/site-packages/sphinx/ext/oldcmarkup.py # sphinx.ext.coverage from /usr/lib/python3.4/site-packages/sphinx/ext/coverage.py # sphinx.ext.todo from /usr/lib/python3.4/site-packages/sphinx/ext/todo.py # sphinx.ext.intersphinx from /usr/lib/python3.4/site-packages/sphinx/ext/intersphinx.py # sphinxtogithub from /tmp/yaourt-tmp-leledumbo/aur-git-cola/src/git-cola-2.0.5/extras/sphinxtogithub/__init__.py Traceback (most recent call last): File "/usr/lib/python3.4/site-packages/sphinx/cmdline.py", line 254, in main app.build(force_all, filenames) File "/usr/lib/python3.4/site-packages/sphinx/application.py", line 221, in build self.emit('build-finished', None) File "/usr/lib/python3.4/site-packages/sphinx/application.py", line 400, in emit results.append(callback(self, *args)) File "/tmp/yaourt-tmp-leledumbo/aur-git-cola/src/git-cola-2.0.5/extras/sphinxtogithub/sphinxtogithub.py", line 315, in sphinx_extension layout.process() File "/tmp/yaourt-tmp-leledumbo/aur-git-cola/src/git-cola-2.0.5/extras/sphinxtogithub/sphinxtogithub.py", line 174, in process handler.process() File "/tmp/yaourt-tmp-leledumbo/aur-git-cola/src/git-cola-2.0.5/extras/sphinxtogithub/sphinxtogithub.py", line 52, in process text = self.opener(self.name).read() File "/usr/lib/python3.4/encodings/ascii.py", line 26, in decode return codecs.ascii_decode(input, self.errors)[0] UnicodeDecodeError: 'ascii' codec can't decode byte 0xc4 in position 3671: ordinal not in range(128)

carstene1ns commented on 2014-08-18 08:40 (UTC)

@zottelef: 'qgis'[1] package is the offender, it bundles the python2 version of pygments and somehow gets in the way. There is already a discussion at the package page. Try removing it before building and it should work. [1]: https://aur.archlinux.org/packages/qgis/

zottelef commented on 2014-08-18 07:41 (UTC)

While building git-cola I get the following error sphinx-build -b html -d _build/doctrees . _build/html Traceback (most recent call last): File "/usr/bin/sphinx-build", line 9, in <module> load_entry_point('Sphinx==1.2.2', 'console_scripts', 'sphinx-build')() File "/usr/lib/python3.4/site-packages/sphinx/__init__.py", line 49, in main from sphinx import cmdline File "/usr/lib/python3.4/site-packages/sphinx/cmdline.py", line 22, in <module> from sphinx.application import Sphinx File "/usr/lib/python3.4/site-packages/sphinx/application.py", line 22, in <module> from docutils.parsers.rst import convert_directive_function, \ File "/usr/lib/python3.4/site-packages/docutils/parsers/rst/__init__.py", line 75, in <module> from docutils.parsers.rst import states File "/usr/lib/python3.4/site-packages/docutils/parsers/rst/states.py", line 116, in <module> from docutils.parsers.rst import directives, languages, tableparser, roles File "/usr/lib/python3.4/site-packages/docutils/parsers/rst/roles.py", line 78, in <module> from docutils.utils.code_analyzer import Lexer, LexerError File "/usr/lib/python3.4/site-packages/docutils/utils/code_analyzer.py", line 12, in <module> import pygments File "/usr/share/qgis/python/pygments/__init__.py", line 46 except TypeError, err: ^ SyntaxError: invalid syntax Makefile:44: recipe for target 'html' failed make[1]: *** [html] Error 1

pablovilas commented on 2014-02-26 19:30 (UTC)

In order to fix the encoding problem I just uncomment my locale in: /etc/locale.gen, then I run locale-gen and then set it as default enconding using localectl set-locale LANG="<encoding>" where encoding is for example: en_US.UTF-8

pablovilas commented on 2014-02-25 18:37 (UTC)

When I try to upgrade to version 2.0.0-1 I've the same error than Nikus # Sphinx version: 1.2.1 # Python version: 3.3.4 # Docutils version: 0.11 release # Jinja2 version: 2.7.2 # Loaded extensions: # sphinx.ext.intersphinx from /usr/lib/python3.3/site-packages/sphinx/ext/intersphinx.py # sphinx.ext.coverage from /usr/lib/python3.3/site-packages/sphinx/ext/coverage.py # sphinx.ext.oldcmarkup from /usr/lib/python3.3/site-packages/sphinx/ext/oldcmarkup.py # sphinxtogithub from /tmp/yaourt-tmp-root/aur-git-cola/src/git-cola-2.0.0/extras/sphinxtogithub/__init__.py # sphinx.ext.doctest from /usr/lib/python3.3/site-packages/sphinx/ext/doctest.py # sphinx.ext.autodoc from /usr/lib/python3.3/site-packages/sphinx/ext/autodoc.py # sphinx.ext.todo from /usr/lib/python3.3/site-packages/sphinx/ext/todo.py Traceback (most recent call last): File "/usr/lib/python3.3/site-packages/sphinx/cmdline.py", line 254, in main app.build(force_all, filenames) File "/usr/lib/python3.3/site-packages/sphinx/application.py", line 221, in build self.emit('build-finished', None) File "/usr/lib/python3.3/site-packages/sphinx/application.py", line 358, in emit results.append(callback(self, *args)) File "/tmp/yaourt-tmp-root/aur-git-cola/src/git-cola-2.0.0/extras/sphinxtogithub/sphinxtogithub.py", line 315, in sphinx_extension layout.process() File "/tmp/yaourt-tmp-root/aur-git-cola/src/git-cola-2.0.0/extras/sphinxtogithub/sphinxtogithub.py", line 174, in process handler.process() File "/tmp/yaourt-tmp-root/aur-git-cola/src/git-cola-2.0.0/extras/sphinxtogithub/sphinxtogithub.py", line 52, in process text = self.opener(self.name).read() File "/usr/lib/python3.3/encodings/ascii.py", line 26, in decode return codecs.ascii_decode(input, self.errors)[0] UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 3222: ordinal not in range(128)

nobody44 commented on 2014-02-25 00:46 (UTC)

Updated to latest git-cola release: Git-Cola run with Python3 now, so some dependencies changed: python-pyqt4 instead of python2-pyqt4, python-sphinx instead of python2-sphinx Other than that, I hope it runs fine with Python3.

nobody44 commented on 2013-12-29 14:54 (UTC)

Updated, thanks for the info.

dujiulun2006 commented on 2013-12-28 15:21 (UTC)

I guess the dependency "python2-pyqt" should be "python2-pyqt4" which is what it's now called in [extra]. Tried myself and it works well.

nobody44 commented on 2012-12-20 12:14 (UTC)

Thanks for the error report, but I have to say, that I cannot fix this. This is python2-sphinx and/or python2 itself. There is nothing I can do about it.

Nikus commented on 2012-12-19 23:59 (UTC)

I have the following error when I try to compile the package : UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 15: ordinal not in range(128) It's due to the path where I extracted the tarball which contains an « é ». Using an utf8 codec instead of an ascii one should be better. # Sphinx version: 1.1.3 # Python version: 2.7.3 # Docutils version: 0.10 release # Jinja2 version: 2.6 Traceback (most recent call last): File "/usr/lib/python2.7/site-packages/sphinx/cmdline.py", line 189, in main app.build(force_all, filenames) File "/usr/lib/python2.7/site-packages/sphinx/application.py", line 204, in build self.builder.build_update() File "/usr/lib/python2.7/site-packages/sphinx/builders/__init__.py", line 196, in build_update 'out of date' % len(to_build)) File "/usr/lib/python2.7/site-packages/sphinx/builders/__init__.py", line 216, in build purple, length): File "/usr/lib/python2.7/site-packages/sphinx/builders/__init__.py", line 120, in status_iterator for item in iterable: File "/usr/lib/python2.7/site-packages/sphinx/environment.py", line 613, in update_generator self.read_doc(docname, app=app) File "/usr/lib/python2.7/site-packages/sphinx/environment.py", line 758, in read_doc pub.set_source(None, src_path.encode(fs_encoding))

nobody44 commented on 2012-08-31 12:30 (UTC)

those packages are in makedepends

commented on 2012-08-31 04:32 (UTC)

in addition to python2-sphinx missing, add also asciidoc, xmlto, and rsync.

nobody44 commented on 2012-03-18 16:08 (UTC)

New Version: 1.7.6 Dependencies changed: sphinx2-build>=1.1.3 PKGBUILD slightly changed for sphinx-build2

nobody44 commented on 2012-02-06 15:20 (UTC)

makedepends changed: python2-sphinx instead of python-sphinx

amatriain commented on 2012-02-01 11:18 (UTC)

It refused to compile until I changed python-sphinx to python2-sphinx in the PKGBUILD. The root cause is probably this: https://bugs.archlinux.org/task/27820 This PKGBUILD works for me: http://pastebin.com/uhh18yfR

nobody44 commented on 2012-01-24 11:54 (UTC)

kgu, your updated PKGBUILD doesn't work for me: ############### sphinx-build -b html -d _build/doctrees . _build/html Traceback (most recent call last): File "/usr/bin/sphinx-build", line 5, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.2/site-packages/pkg_resources.py", line 2708, in <module> working_set.require(__requires__) File "/usr/lib/python3.2/site-packages/pkg_resources.py", line 686, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.2/site-packages/pkg_resources.py", line 584, in resolve raise DistributionNotFound(req) pkg_resources.DistributionNotFound: docutils>=0.7 ################ The newest version is 1.7.4.1. Same problem there. What exactly does python-sphinx do? I installed my own git-cola-package without the documentation...

commented on 2011-12-29 22:57 (UTC)

Update for Version 1.7.3. Please update the pkg. The following PKGBUILD works for me: ######################################################### pkgname=git-cola pkgver=1.7.3 pkgrel=1 pkgdesc="A powerful GUI for Git" arch=('any') url="http://git-cola.github.com/" license=('GPL') depends=('git' 'python2-pyqt>=4.3') makedepends=('asciidoc' 'docbook-xsl' 'python-sphinx' 'rsync' 'xmlto') optdepends=('pyinotify>=0.7.1: for inotify support' 'tk: to use the built-in ssh-askpass handler') options=('!makeflags') source=(https://github.com/git-cola/git-cola/downloads/git-cola-$pkgver.tar.gz) md5sums=('5f7c3f1e596b25092b25e537e3814ad2') build() { cd "$srcdir/${pkgname}-$pkgver" sed -i 's,= python,&2,' Makefile sed -i '1s,python,&2,' bin/$pkgname make all doc html } package() { cd "$srcdir/${pkgname}-$pkgver" make prefix=/usr DESTDIR="$pkgdir" install{,-doc,-html} } #############################################################

commented on 2011-11-14 23:44 (UTC)

Version 1.7.0 is out and hosting has moved to github. The following PKGBUILD works for me. ###################################################################### pkgname=git-cola pkgver=1.7.0 pkgrel=1 pkgdesc="A powerful GUI for Git" arch=('any') url="http://git-cola.github.com/" license=('GPL') depends=('git' 'python2-pyqt>=4.3') makedepends=('asciidoc' 'docbook-xsl' 'python-sphinx' 'rsync' 'xmlto') optdepends=('pyinotify>=0.7.1: for inotify support' 'tk: to use the built-in ssh-askpass handler') options=('!makeflags') source=(https://github.com/downloads/git-cola/git-cola/cola-$pkgver.tar.gz) md5sums=('f7d6c67eb2c970bbd4343c4c6c2b51e6') build() { cd "$srcdir/${pkgname/*-}-$pkgver" sed -i 's,= python,&2,' Makefile sed -i '1s,python,&2,' bin/$pkgname make all doc html } package() { cd "$srcdir/${pkgname/*-}-$pkgver" make prefix=/usr DESTDIR="$pkgdir" install{,-doc,-html} } ######################################################################

chenxiaolong commented on 2011-08-20 21:04 (UTC)

Please update PKGBUILD with version: 1.4.3.4 with md5sum: 27d5ee669a4bd430a8dbf87123448146

tdy commented on 2011-05-07 02:18 (UTC)

it still won't work with the python3 python-qt, but i've fixed it to use the new name of python2-pyqt, thanks

commented on 2011-05-07 01:49 (UTC)

python2-qt>=4.3 dependency is broken now, need a fix to python-qt>=4.8

tdy commented on 2011-02-07 23:42 (UTC)

tk is only needed if you decide to use cola's fallback ssh-askpass implementation. I've added it as an optdepend for now because any ssh-askpass handler will work, but I might change it to a hard dependency since it is the "default" ssh-askpass handler.

commented on 2011-02-07 20:56 (UTC)

Pushing stopped working for me after a recent update, until I installed tk. Maybe it should become a dependency?

msquared commented on 2011-01-19 19:20 (UTC)

Can you please adjust the dependencies to require python2-qt instead of pyqt?

commented on 2010-10-20 14:03 (UTC)

Here is an updated PKGBUILD that will make this package work with the new python2 layout. http://paste.pocoo.org/show/277984/ This also pulls the latest version, 1.4.2.4.

tdy commented on 2010-07-02 13:59 (UTC)

1.4.2.1